### File

`src/lib/control-with-data-source.ts`

### Index

###### Methods
setDataSource

### Methods

setDataSource
`setDataSource(name: string, dataSource: DataSource, settings?: UseDataSourceSettings<Source | Target>)`
Defined in src/lib/control-with-data-source.ts:5
Parameters :
Name | Type | Optional
name | `string` | No
dataSource | `DataSource` | No
settings | `UseDataSourceSettings<Source | Target>` | Yes
Returns : `void`

    import { DataSource } from '@rxap/pattern';
    import { UseDataSourceSettings } from './decorators/use-data-source';

    export interface ControlWithDataSource<Source = any, Target = any> {
      setDataSource(name: string, dataSource: DataSource, settings?: UseDataSourceSettings<Source, Target>): void;
    }

# results matching ""

# No results matching ""